package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF55D extends MwfRequest<MWF55D, MWF55DResponse> {

    @Parameter(name = "CARD_LOGO")
    MWF55D cardLogo(String cardLogo);
    @Parameter(name = "CARD_NUMBER")
    MWF55D cardNumber(String cardNumber);
    @Parameter(name = "CONTRACT_NUMBER")
    MWF55D contractNumber(String contractNumber);
    @Parameter(name = "DO_INFOLIMIT_FLAG")
    MWF55D doInfolimitFlag(Long doInfolimitFlag);
    @Parameter(name = "ID_OM")
    MWF55D idOm(String idOm);
    @Parameter(name = "PERSONAL_ID")
    MWF55D personalId(String personalId);
    @Parameter(name = "RC_NUM_CARD_HOLDER")
    MWF55D rcNumCardHolder(String rcNumCardHolder);
    @Parameter(name = "RC_NUM_CHECK_FLAG")
    MWF55D rcNumCheckFlag(Long rcNumCheckFlag);
}
